# This file contains generated variables that are needed for the project

# Git Version
If                                  ( ASYNCPP_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                ASYNCPP_VERSION_MAJOR
                                                ASYNCPP_VERSION_MINOR
                                                ASYNCPP_VERSION_PATCH
                                                ASYNCPP_VERSION_BUILD
                                                ASYNCPP_VERSION_HASH
                                                ASYNCPP_VERSION_BEHIND
                                                ASYNCPP_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( ASYNCPP_VERSION_SHORT
                                      "${ASYNCPP_VERSION_MAJOR}.${ASYNCPP_VERSION_MINOR}" )
Set                                 ( ASYNCPP_VERSION
                                      "${ASYNCPP_VERSION_SHORT}.${ASYNCPP_VERSION_PATCH}.${ASYNCPP_VERSION_BUILD}" )
Set                                 ( ASYNCPP_VERSION_COMPLETE
                                      "${ASYNCPP_VERSION}" )
Set                                 ( ASYNCPP_NAME
                                      "${ASYNCPP_PROJECT_NAME}-${ASYNCPP_VERSION_SHORT}" )
Set                                 ( ASYNCPP_OUTPUTNAME
                                      "${ASYNCPP_PROJECT_NAME}" )
If                                  ( ASYNCPP_VERSION_BEHIND )
    Set                                 ( ASYNCPP_VERSION_COMPLETE
                                          "${ASYNCPP_VERSION_COMPLETE}+${ASYNCPP_VERSION_BEHIND}" )
EndIf                               ( )
